Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MaxEvaluationsExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException
                      org.apache.commons.math.MaxEvaluationsExceededException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class MaxEvaluationsExceededException

extends ConvergenceException

Error thrown when a numerical computation exceeds its allowed number of functions evaluations.

Since:
  2.0
Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 aoÃ»t 2010) $
See Also:
  Serialized Form

Constructor Summary
`MaxEvaluationsExceededException(int maxEvaluations)` Constructs an exception with a default detail message.
`MaxEvaluationsExceededException(int maxEvaluations, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`MaxEvaluationsExceededException(int maxEvaluations, String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `MaxEvaluationsExceededException(int, Localizable, Object...)`

Method Summary
`int` | `getMaxEvaluations()` Get the maximal number of evaluations allowed.

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxEvaluationsExceededException

    public MaxEvaluationsExceededException(int maxEvaluations)

  Constructs an exception with a default detail message.

  Parameters:
    `maxEvaluations` - maximal number of evaluations allowed

### MaxEvaluationsExceededException

    @Deprecated
    public MaxEvaluationsExceededException(int maxEvaluations,
                                                      String pattern,
                                                      Object... arguments)

  Deprecated. as of 2.2 replaced by `MaxEvaluationsExceededException(int, Localizable, Object...)`

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxEvaluations` - the exceeded maximal number of evaluations
    `pattern` - format specifier
    `arguments` - format arguments

### MaxEvaluationsExceededException

    public MaxEvaluationsExceededException(int maxEvaluations,
                                           Localizable pattern,
                                           Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxEvaluations` - the exceeded maximal number of evaluations
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

Method Detail

### getMaxEvaluations

    public int getMaxEvaluations()

  Get the maximal number of evaluations allowed.

  Returns:
    maximal number of evaluations allowed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.